#ifndef _IMAGE_H_
#define _IMAGE_H_

/// Structure for image representation.
/// Replaces OpenCV IplImage to make the core independent on third party libs.
typedef struct
{
    int width;         ///< Width of the image
    int height;        ///< Height of the image
    int widthStep;     ///< Row distance in bytes (!)
    char * imageData;  ///< Ptr to actual data
} TImage;


#endif
